---
title: '`glab schedule list`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

List pipeline schedules in a project.

## Synopsis

List CI/CD pipeline schedules in a project. By default, schedules
are listed for the current project. Use `--repo` to target another
project.

Use `--output json` to format the result as JSON for use with other
tools.

```plaintext
glab schedule list [flags]
```

## Examples

```console
# List schedules for the current project
glab schedule list

# List schedules in another project
glab schedule list -R owner/repo

# List schedules as JSON
glab schedule list --output json

```

## Options

```plaintext
      --jq string       Filter JSON output with a jq expression.
  -F, --output string   Format output as: text, json. (default "text")
  -p, --page int        Page number. (default 1)
  -P, --per-page int    Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
